package edu.travel.rpc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RPCPageResponse<T> extends RPCBaseResponse<T> {
    private int total;
    private int  currentPage;
    private int pageSize;

    public <T> RPCPageResponse(int i, String message, T data, int total, int currentPage, int pageSize) {
    }

    public static <T> RPCBaseResponse<T> success(T data) {
        return null;
    }
    public static <T> RPCBaseResponse<T> success() {
        return new RPCBaseResponse<>(200, "success",null);
    }
    public static <T> RPCBaseResponse<T> success(String message) {
        return new RPCBaseResponse<>(200, message, null);
    }
    public static <T> RPCPageResponse<T> success(String message,T data,int total,int currentPage,int pageSize) {
        return new RPCPageResponse<>(200, message, data,total,currentPage,pageSize);
    }

}