package edu.travel.remote.order;

import edu.travel.remote.dto.AddOrderDto;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = "order-dev",path = "/shopOrder")
public interface ShopOrderRemoteController {
    @PostMapping("/addShopOrder")
    RPCBaseResponse<Void> addShopOrder(AddOrderDto params);
}
