package edu.travel.remote.order;

import edu.travel.remote.dto.AddOrderLogDto;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = "order-dev",path = "/shopOrderTypeChange")
public interface ShopOrderTypeChangeRemoteController {

    @PostMapping("/addOrderLog")
    public RPCBaseResponse<Void> addOrderLog(AddOrderLogDto params);
}
