package edu.travel.commodity.service;

import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.entity.ShopProductSku;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.remote.dto.AddShopOrderDto;
import edu.travel.remote.dto.InsertProductSkuDto;
import edu.travel.remote.dto.InsertProductSpecDto;
import edu.travel.remote.vo.ShopSkuSpecValueVo;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface ShopProductSkuService extends IService<ShopProductSku>{

    Map<String, List<ShopSkuSpecValueVo>> getSkuValuesById(Set<String> skuId);


    void shopProductSku(AddShopOrderDto params);

    boolean insertProductSku(List<InsertProductSpecDto> specs,List<InsertProductSkuDto> skus, ShopProduct id);
}
