package edu.travel.order.controller;

import edu.travel.order.entity.ShopOrderTypeChange;
import edu.travel.order.service.ShopOrderTypeChangeService;
import edu.travel.remote.dto.AddOrderLogDto;
import edu.travel.remote.order.ShopOrderTypeChangeRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.web.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static edu.travel.rpc.RPCBaseResponse.success;

@RestController
@RequestMapping("/shopOrderTypeChange")
public class ShopOrderTypeChangeController extends BaseController<ShopOrderTypeChange> implements ShopOrderTypeChangeRemoteController {
    @Autowired
    private ShopOrderTypeChangeService shopOrderTypeChangeService;


    @Override
    @PostMapping("/addOrderLog")
    public RPCBaseResponse<Void> addOrderLog(@RequestBody AddOrderLogDto params) {
        shopOrderTypeChangeService.addOrderLog(params);
        return success();
    }
}
