package edu.travel.order.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.order.entity.ShopOrderItem;
import edu.travel.order.mapper.ShopOrderItemMapper;
import edu.travel.order.service.ShopOrderItemService;
import edu.travel.remote.dto.AddOrderItemDto;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class ShopOrderItemServiceImpl extends ServiceImpl<ShopOrderItemMapper, ShopOrderItem> implements ShopOrderItemService {


    @Override
    public void addShopOrderItem(List<AddOrderItemDto> params) {
        List<ShopOrderItem> shopOrderItems = BeanUtil.copyToList(params, ShopOrderItem.class);
        saveBatch(shopOrderItems);
    }
}
