package edu.travel.order.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.order.entity.ShopOrderTypeChange;
import edu.travel.order.mapper.ShopOrderTypeChangeMapper;
import edu.travel.order.service.ShopOrderTypeChangeService;
import edu.travel.remote.dto.AddOrderLogDto;
import org.springframework.stereotype.Service;

@Service
public class ShopOrderTypeChangeServiceImpl extends ServiceImpl<ShopOrderTypeChangeMapper, ShopOrderTypeChange> implements ShopOrderTypeChangeService {

    @Override
    public void addOrderLog(AddOrderLogDto params) {
        ShopOrderTypeChange bean = BeanUtil.toBean(params, ShopOrderTypeChange.class);
        save(bean);
    }
}
