package edu.travel.remote.dto;

import lombok.Data;

import java.util.List;

/**
 * 类功能描述：
 *  新增商品规格
 * @author 大春
 * @date 2025/03/08
 */

@Data
public class InsertProductSpecDto {
    /**
     * 规格ID
     */
    private String specId;
    /**
     * 商品规格名称
     */
    private String specName;
    /**
     * 权重
     */
    private Integer sortOrder;
    /**
     * 规格值
     */
    private List<SpecValueDto> specValues;
}
