package edu.travel.remote.vo;



import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ProductSpecVo {
    /**
     * 商品ID
     */
    private String  id;

    /**
     * 商品名称
     */
    private String productName;
    /**
     * 列表展示图片
     */
    private String mainImageUrl;
    /**
     *  详情商品图片集
     */
    private List<ProductImageVo> images;

    /**
     * 商品描述
     */
    private String description;

    /**默认价格*/
    private BigDecimal defaultPrice;

    /**商品规格值*/
    private List<SpecSortVo> specSortVoList;

    /**商品对应的规格值*/
    private List<ProductSkuVo> skuList;
}
