package edu.travel.remote.vo;

import lombok.Data;

import java.util.List;

@Data
public class ShopReviewVo {
    /**
     * 商品评论表ID
     */
    private String id;

    /**
     * 父级ID、0为一级评论
     */
    private String parentId;

    /**
     * 用户ID
     */
    private String userId;
    /**
     * 用户详情
     */
    private Object eduTenantVo;
    /**
     * 商品ID
     */
    private String productId;
    /**
     * 订单号
     */
    private String orderId;
    /**
     * SKU
     */
    private String skuId;

    private String skuDetails;
    /**
     * sku详情
     */
    private List<SpecOneVo> specOneVo;

    /**
     * 评级
     */
    private Integer rating;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 评论图片
     */
    private String image;
    /**
     * 图片集合
     */
    private List<String> imageUrls;
    /**
     * 是否置顶
     */
    private String isTop;
}
