package edu.travel.remote.vo;

import lombok.Data;

import java.util.List;


/**
 * 类功能描述：
 *  商品快照对象
 * @author 大春
 * @date 2025/03/05
 */

@Data
public class ShopSnapshotVo {
    /**
     * SKU
     */
    private String skuId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品描述
     */
    private String description;
    /**
     * 商品SkU的图片
     */
    private String imageUrl;
    /**
     * 商品快照规格 SpecValueVo
     */
    private List snapshotSpec;

}
