package edu.travel.education.dto;

/**
 * AddHappyEntryDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/3/5
 */


import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 开心中文报名表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddHappyEntryDto{

    /**
     * 姓
     */
    private String surname;

    /**
     * 名
     */
    private String name;

    /**
     * 电话号码
     */
    private String phone;

    /**
     * 国家区号
     */
    private String areaCode;

    /**
     * 课程类型
     */
    private Integer courseType;

    /**
     * 最小年龄
     */
    private Integer minAge;

    /**
     * 最大年龄
     */
    private Integer maxAge;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 项目code
     */
    private String project;
}